import { ElementRef, OnInit, AfterViewInit, OnDestroy } from '@angular/core';
import 'bootstrap';
export declare class ModalControl implements OnInit, AfterViewInit, OnDestroy {
    static index: number;
    title: string;
    type: 'primary' | 'info' | 'success' | 'warning' | 'danger';
    width: 'lg' | 'md' | 'sm' | string;
    height: string;
    modal: ElementRef;
    modalWidth: string;
    isOpened: boolean;
    isMobile: boolean;
    private modalIndex;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    open: () => void;
    close: () => void;
}
